org.apache.pdfbox.preflight.annotation

## Class PopupAnnotationValidator

- java.lang.Object
- - org.apache.pdfbox.preflight.annotation.AnnotationValidator
  - - org.apache.pdfbox.preflight.annotation.PopupAnnotationValidator

    public class PopupAnnotationValidator
    extends AnnotationValidator

Validation class for the PopupAnnotation

### Field Summary

Fields
`protected org.apache.pdfbox.pdmodel.interactive.annotation.PDAnnotationPopup` `pdPopup` PDFBox object which wraps the annotation dictionary

### Fields inherited from class org.apache.pdfbox.preflight.annotation.AnnotationValidator

`annotDictionary, ctx, pdAnnot`

### Constructor Summary

Constructors
Constructor and Description
`PopupAnnotationValidator(PreflightContext ctx, org.apache.pdfbox.cos.COSDictionary annotDictionary)`

### Method Summary

### Methods inherited from class org.apache.pdfbox.preflight.annotation.AnnotationValidator

`checkActions, checkAP, checkCA, checkColors, checkFlags, checkMandatoryFields, checkPopup, checkSpecificMandatoryFields, searchRGBProfile, setFactory, validate`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### pdPopup

    protected org.apache.pdfbox.pdmodel.interactive.annotation.PDAnnotationPopup pdPopup

PDFBox object which wraps the annotation dictionary

### Constructor Detail

#### PopupAnnotationValidator

    public PopupAnnotationValidator(PreflightContext ctx,
                                    org.apache.pdfbox.cos.COSDictionary annotDictionary)